data "oci_identity_availability_domains" "ads" {
  compartment_id = var.tenancy_ocid
}

data "oci_core_images" "ubuntu-compute-image" {
  compartment_id           = oci_identity_compartment.tf-playground.compartment_id
  operating_system         = "Canonical Ubuntu"
  operating_system_version = "22.04 Minimal"
  sort_by                  = "TIMECREATED"
}

data "oci_core_boot_volumes" "tf-playground_boot_volumes" {
  availability_domain = data.oci_identity_availability_domains.ads.availability_domains[0].name
  compartment_id      = oci_identity_compartment.tf-playground.id
}
