variable "compartment_name" {
  description = "The name of the compartment."
  type        = string
}

variable "tenancy_ocid" {
  description = "The OCID of the tenancy."
  type        = string
}

variable "user_ocid" {
  description = "The OCID of the user."
  type        = string
}

variable "vm_image_ocid_x86_64" {
  description = "The OCID of the VM image to be deployed (x86_64)."
  type        = string
}

variable "vm_image_ocid_ampere" {
  description = "The OCID of the VM image to be deployed (ampere)."
  type        = string
}

variable "vm_name" {
  description = "Name of the tf-playground virtual machine."
  type        = string
}

variable "region" {
  description = "The name of the cloud region."
  type        = string
  default     = "eu-frankfurt-1"
}

variable "fingerprint" {
  description = "The fingerprint of the private key."
  type        = string
}

variable "private_key_path" {
  description = "The location of the private key."
  type        = string
}

variable "ssh_public_key" {
  description = "The fingerprint of your SSH public key."
  type        = string
}

variable "ssh_allow_range" {
  description = "A CIDR block that you trust. Only this address range may SSH to your instance(s)."
  type        = string
  default     = "10.0.0.0/24"
}

variable "go_live" {
  description = "A value of 'true' opens port 80 and 443 to all traffic from the internet."
  type        = bool
  default     = false
}

variable "tags" {
  description = "Freeform tags."
  type        = map(any)
}
